From d80ac2fd2df4e7fb8a28acfa512bb11472b5cc99 Mon Sep 17 00:00:00 2001
From: liugz18 <57401541+liugz18@users.noreply.github.com>
Date: 星期四, 18 七月 2024 21:34:55 +0800
Subject: [PATCH] Rename 'res' in line 514 to avoid with naming conflict with line 365

---
 runtime/deploy_tools/funasr-runtime-deploy-offline-cpu-zh.sh |   56 ++++++++++++++++++++++++++++----------------------------
 1 files changed, 28 insertions(+), 28 deletions(-)

diff --git a/runtime/deploy_tools/funasr-runtime-deploy-offline-cpu-zh.sh b/runtime/deploy_tools/funasr-runtime-deploy-offline-cpu-zh.sh
index 02c18ea..4a70f7a 100644
--- a/runtime/deploy_tools/funasr-runtime-deploy-offline-cpu-zh.sh
+++ b/runtime/deploy_tools/funasr-runtime-deploy-offline-cpu-zh.sh
@@ -1034,33 +1034,33 @@
     getDockerId
     saveParams
 
-    # Hide the cursor, start draw progress.
-    printf "\e[?25l"
-    while true
-    do
-        serverProgress
-        result=$?
-        stage=`expr ${result} + 0`
-        if [ ${stage} -eq 0 ]; then
-            break
-        elif [ ${stage} -gt 0 ] && [ ${stage} -lt 6 ]; then
-            sleep 0.1
-            # clear 3 lines
-            printf "\033[3A"
-        elif [ ${stage} -eq 6 ]; then
-            break
-        elif [ ${stage} -eq 98 ]; then
-            return 98
-        else
-            echo -e "  ${RED}Starting FunASR server failed.${PLAIN}"
-            echo
-            # Display the cursor
-            printf "\e[?25h"
-            return 99
-        fi
-    done
-    # Display the cursor
-    printf "\e[?25h"
+    # # Hide the cursor, start draw progress.
+    # printf "\e[?25l"
+    # while true
+    # do
+    #     serverProgress
+    #     result=$?
+    #     stage=`expr ${result} + 0`
+    #     if [ ${stage} -eq 0 ]; then
+    #         break
+    #     elif [ ${stage} -gt 0 ] && [ ${stage} -lt 6 ]; then
+    #         sleep 0.1
+    #         # clear 3 lines
+    #         printf "\033[3A"
+    #     elif [ ${stage} -eq 6 ]; then
+    #         break
+    #     elif [ ${stage} -eq 98 ]; then
+    #         return 98
+    #     else
+    #         echo -e "  ${RED}Starting FunASR server failed.${PLAIN}"
+    #         echo
+    #         # Display the cursor
+    #         printf "\e[?25h"
+    #         return 99
+    #     fi
+    # done
+    # # Display the cursor
+    # printf "\e[?25h"
 
     echo -e "  ${GREEN}The service has been started.${PLAIN}"
     echo
@@ -1455,7 +1455,7 @@
                 run_cmd="${client_exec} --server-ip ${server_ip} --port ${host_port} --wav-path ${wav_path}"
                 ;;
             Python)
-                client_exec="${PARAMS_FUNASR_SAMPLES_LOCAL_DIR}/python/wss_client_asr.py"
+                client_exec="${PARAMS_FUNASR_SAMPLES_LOCAL_DIR}/python/funasr_wss_client.py"
                 run_cmd="python3 ${client_exec} --host ${server_ip} --port ${host_port} --mode offline --audio_in ${wav_path} --send_without_sleep --output_dir ${PARAMS_FUNASR_SAMPLES_LOCAL_DIR}/python"
                 pre_cmd="pip3 install click>=8.0.4"
                 echo -e "  Run ${BLUE}${pre_cmd}${PLAIN}"

--
Gitblit v1.9.1